summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-05-11 22:55:39 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:55:39 +0200
commit799dba85ecd04718708d52fa751e6e7b72480c93 (patch)
treec8ece945a7d441569ff8f4bd24af806b723d6326
parent3c71698a1f3d8151bdcbcf3569d02dabf507777e (diff)
downloadslackbuilds-799dba85ecd04718708d52fa751e6e7b72480c93.tar.gz
slackbuilds-799dba85ecd04718708d52fa751e6e7b72480c93.tar.xz
system/xjobs: Added to 12.1 repository
-rw-r--r--system/xjobs/README14
-rw-r--r--system/xjobs/slack-desc11
-rw-r--r--system/xjobs/xjobs-mandir.patch10
-rw-r--r--system/xjobs/xjobs.SlackBuild55
-rw-r--r--system/xjobs/xjobs.info8
5 files changed, 98 insertions, 0 deletions
diff --git a/system/xjobs/README b/system/xjobs/README
new file mode 100644
index 0000000000..cc7ceb6124
--- /dev/null
+++ b/system/xjobs/README
@@ -0,0 +1,14 @@
+xjobs reads job descriptions line by line and executes them in parallel. It
+limits the number of parallel executing jobs and starts new jobs when jobs
+finish. Therefore, it combines the arguments from every input line with the
+utility and arguments given on the command line. If no utility is given as
+an argument to xjobs, then the first argument on every job line will be used
+as utility. To execute utility xjobs searches the directories given in the
+PATH environment variable and uses the first file found in these directories.
+
+xjobs is most useful on multiprocessor machines when one needs to execute
+several time consuming commands that could possibly be run in parallel. With
+xjobs this can be achieved easily, and it is possible to limit the load of
+the machine to a useful value. It works similar to xargs, but starts several
+processes simultaneously and gives only one line of arguments to each utility
+call.
diff --git a/system/xjobs/slack-desc b/system/xjobs/slack-desc
new file mode 100644
index 0000000000..f8aa5964ca
--- /dev/null
+++ b/system/xjobs/slack-desc
@@ -0,0 +1,11 @@
+xjobs: xjobs - execute jobs in parallel.
+xjobs:
+xjobs: xjobs reads job descriptions line by line and executes them in
+xjobs: parallel. xjobs is most useful on multiprocessor machines when
+xjobs: one needs to execute several time consuming commands that could
+xjobs: possibly be run in parallel. It works similar to xargs.
+xjobs:
+xjobs:
+xjobs:
+xjobs: http://www.maier-komor.de/xjobs.html
+xjobs:
diff --git a/system/xjobs/xjobs-mandir.patch b/system/xjobs/xjobs-mandir.patch
new file mode 100644
index 0000000000..770a07da15
--- /dev/null
+++ b/system/xjobs/xjobs-mandir.patch
@@ -0,0 +1,10 @@
+--- Makefile.in 2008-05-20 14:31:54.000000000 -0500
++++ Makefile.in.new 2008-05-20 18:38:48.000000000 -0500
+@@ -42,5 +42,6 @@
+
+ install: $(TARGET)
+ -$(INSTALL) -d $(DESTDIR)$(bindir)
++ $(INSTALL) -d $(DESTDIR)$(mandir)
+ $(INSTALL) $(TARGET) $(DESTDIR)$(bindir)
+- $(INSTALL) xjobs.1 $(mandir)
++ $(INSTALL) xjobs.1 $(DESTDIR)$(mandir)
diff --git a/system/xjobs/xjobs.SlackBuild b/system/xjobs/xjobs.SlackBuild
new file mode 100644
index 0000000000..0507ad9f30
--- /dev/null
+++ b/system/xjobs/xjobs.SlackBuild
@@ -0,0 +1,55 @@
+#!/bin/sh
+
+# Slackware build script for xjobs
+# Written by Erik Hanson erik@slackbuilds.org
+
+PRGNAM=xjobs
+VERSION=20080520
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz || exit 1
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Fix: mandir -> destdir/mandir
+patch -p0 < $CWD/xjobs-mandir.patch || exit 1
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var/lib \
+ --mandir=/usr/man \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Cleanup on Isle 3
+strip --strip-unneeded $PKG/usr/bin/xjobs
+gzip -9 $PKG/usr/man/man1/xjobs.1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION $PKG/install
+cp -a COPYING ChangeLog README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/xjobs/xjobs.info b/system/xjobs/xjobs.info
new file mode 100644
index 0000000000..bf7849190f
--- /dev/null
+++ b/system/xjobs/xjobs.info
@@ -0,0 +1,8 @@
+PRGNAM="xjobs"
+VERSION="20080520"
+HOMEPAGE="http://www.maier-komor.de/xjobs.html"
+DOWNLOAD="http://www.maier-komor.de/xjobs/xjobs-20080520.tgz"
+MD5SUM="df2e0f944070dd1a50837111c4a9da7d"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="David Somero"